require_relative 'lib/per_page_loader/version'

Gem::Specification.new do |spec|
  spec.name          = "per_page_loader"
  spec.version       = PerPageLoader::VERSION
  spec.authors       = ["Kobe"]
  spec.email         = ["Kobe@rouxbe.com"]

  spec.summary       = 'Per page loader for coffeescript on rails applications'
  spec.description   = 'Per page loader for coffeescript on rails applications'
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "generator_spec"
  spec.add_dependency 'rails', '>= 3.0'
end
